/*
 * Created on 20.08.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package clustering;

import java.io.Serializable;

import xxl.core.functions.Function;

/**
 * @author beringer
 */
public interface KMeansClustering extends Serializable {
	public abstract KMeansState invokeKMeans(Object[] data, int dataCount, int clusterCount);
	/**Initialize the Clustercenters
	 * @param state TODO
	 */
	public abstract void initialize(
		KMeansState state);
	/**Compute the cluster memberships of all data
	 * @param state TODO
	 * @param clusterDist distance of each data to its cluster
	 * @return count of changed memberships (only if testOld==true)
	 */
	public abstract int computeMemberships(
		KMeansState state);
	/**Compute Centers of each Cluster
	 * @param state TODO
	 */
	public abstract void computeClusterCenters(
		KMeansState state);
	// 2 verschiedene Validity-Mae implementiert... -> evtl als abstract herausziehen.
	public abstract double computeValidity(
		KMeansState state);
	public abstract Distance getDistance();
	public abstract Function getCopyFunction();
}