/*
 * Created on 14.05.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package pipes;

import xxl.core.pipes.operators.AbstractPipe;

/**
 * @author beringer
 */
public class DuplicateSymmetric extends AbstractPipe<double[][],double[][]> {
	
	double[][] values;
	int windowSize;
	int newSize;
	int size;
	
	public DuplicateSymmetric(int windowSize, int size){
		this.windowSize=windowSize;
		newSize=windowSize*2;
		this.size=size;
		values=new double[size][newSize];
	}
	
	public void processObject(double[][] val, int ID){
		for (int i=0;i<size;i++){
			System.arraycopy(val[i],0,values[i],0,windowSize);
			for (int j=0;j<windowSize;j++){
				values[i][newSize-j-1]=val[i][j];
			}
		}
		transfer(values);
	}

}
