package pipes;

import xxl.core.pipes.operators.AbstractPipe;

public class Verifier extends AbstractPipe {

    Object last0 = null;

    Object last1 = null;

    int c0 = 0;

    int c1 = 0;

    @Override
    public synchronized void processObject(Object o, int ID)
            throws IllegalArgumentException {
        if (ID == 0) {
            last0 = copy((double[][])o);
            c0++;
        } else if (ID == 1) {
            last1 = copy((double[][])o);
            c1++;
        }
        if (c0==c1){
            System.out.print("");
        }

    }
    
    protected double[][] copy(double[][] vals){
        int l=vals.length;
        double[][] v=new double[l][];
        for (int i=0;i<l;i++){
            int ll=vals[i].length;
            v[i]=new double[ll];
            for (int j=0;j<ll;j++){
                v[i][j]=vals[i][j];
            }
        }
        return v;
    }

}
