package pipes.classifier;

import java.io.PrintStream;

import xxl.core.pipes.sinks.AbstractSink;

public class PrintData extends AbstractSink {
    
    protected PrintStream out;
    protected int period;
    protected int count;
    protected long all;
    
    public PrintData(){
        out=System.out;
    }
    
    public PrintData(int period){
        out=System.out;
        this.period=period;
    }
    
    public PrintData(PrintStream out, int period){
        this.out=out;
        this.period=period;
    }

    public void processObject(Object o, int ID) throws IllegalArgumentException {
        all++;
        count++;
        if (count>=period){
            count-=period;
            out.println(all+": "+o);
        }
            
    }

}
