package utils.visibility;

import java.util.ArrayList;
import java.util.List;

public abstract class AbstractDrawable implements Drawable {
    protected List<Drawer> drawers=new ArrayList();
    
    public void addDrawer(Drawer drawer) {
        drawers.add(drawer);
    }

    public void removeDrawer(Drawer drawer) {
        drawers.remove(drawer);
    }

}
