package utils.visibility;

import java.awt.Graphics;
import java.io.Writer;

import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.apache.batik.svggen.SVGGraphics2D;
import org.apache.batik.svggen.SVGGraphics2DIOException;
import org.apache.batik.util.XMLConstants;
import org.w3c.dom.Document;

public class SVGDrawer {
    public static void drawSVG(DrawField2D drawer, Writer svgfile){
        Document doc=null;
        try {
            doc = DocumentBuilderFactory.newInstance().newDocumentBuilder().newDocument();
        } catch (ParserConfigurationException e) {
            e.printStackTrace();
        }
        SVGGraphics2D svg= new SVGGraphics2D(doc);
        Graphics ig=drawer.ig;
        drawer.ig=svg;
        drawer.redraw();
        drawer.ig=ig;
        try {
            svg.stream(svgfile);
        } catch (SVGGraphics2DIOException e) {
            e.printStackTrace();
        }
    }
}
