/*
 * Created on 14.04.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package pipes;

import xxl.core.pipes.operators.AbstractPipe;

/**
 * @author beringer
 */
public class MapCenterPipe extends AbstractPipe {
	
	StreamingKMeans scluster;
	FuzzyStreamingKMeans fcluster2;
	
	public MapCenterPipe(StreamingKMeans scluster){
		this.scluster=scluster;
	}
	
	
	public MapCenterPipe(FuzzyStreamingKMeans fcluster2){
		this.fcluster2=fcluster2;
	}
	
	public void processObject(Object ob, int ID){
		Object[] kmeans=null;
		int count=0;
		if (scluster!=null){
			kmeans=scluster.getClusterMeans();
			count=scluster.getClusterCount();
		}
		else if (fcluster2!=null){
			kmeans=fcluster2.getClusterMeans();
			count=fcluster2.getClusterCount();
		}
		Object[]newCluster=new Object[count];
		System.arraycopy(kmeans,0,newCluster,0,count);
		transfer(newCluster);
		
	}

}
