package pipes;

import weka.core.Utils;
import xxl.core.pipes.sinks.AbstractSink;
import applications.pipes.FuzzyChange;
import clustering.FuzzyKMeansState;

public class SpecialOutput extends AbstractSink {
    protected int ind=0;
    protected int pos=0;
    protected int[] clIndex;
    
    public SpecialOutput(int[] clIndex, int ind){
        this.clIndex=clIndex;
        this.ind=ind;
    }
    
    public void processObject(Object o, int ID) throws IllegalArgumentException {
        if (ID==0){
            FuzzyKMeansState state=(FuzzyKMeansState)o;
            double[][]cluster=state.fuzzyCluster;
            int[]map=new int[clIndex.length];
            for(int i=0;i<clIndex.length;i++){
                if (i<state.clusterCount) map[i]=Utils.maxIndex(cluster[clIndex[i]]);
                else map[i]=i;
            }
            
            System.out.print(pos+"   "+FuzzyChange.lastW+"   "+state.clusterCount +"    ");
            for(int i=0;i<clIndex.length;i++){
                System.out.print(cluster[ind][map[i]]+"  ");
            }
            System.out.println();
            //FuzzyChange.lastW=-1;
            pos++;
        }

    }

}
