package pipes.classifier;

import xxl.core.pipes.operators.AbstractPipe;

public class AccuracyCounter extends AbstractPipe {
    
    protected double counter=0;
    protected int all=0;
    protected double block=0;
    protected int blockCount=0;
    
    public AccuracyCounter(){
    }
    
    
    public void processObject(Object o, int ID) throws IllegalArgumentException {
        if (ID==0){
            all++;
            if (((Boolean)o).booleanValue()) counter ++;
        }else if (ID==1){
            double val=((Double)o).doubleValue();
            counter+=val; 
            all++;
        }
        transfer(counter/(double)all);
    }

}
